Cocoon API: Class LdapDefs

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.processor.ldap
Class LdapDefs

    java.lang.Object
      |
      +--org.apache.cocoon.processor.ldap.LdapDefs

public class LdapDefs
extends java.lang.Object

Default Connection Values
adapted from Donald Ball's SQLProcessor code.

Version:
  1.0
Author:
  James Birchfield

Field Summary
`protected java.util.Hashtable` | `creators`
`protected java.util.Properties` | `default_query_props`
`protected static java.util.Properties` | `master_default_query_props`
`protected java.util.Hashtable` | `query_props`

Constructor Summary
`LdapDefs(org.w3c.dom.Document document)`

Method Summary
`javax.naming.ldap.LdapContext` | `getLdapContext(java.lang.String name)`
`java.util.Properties` | `getQueryProperties(java.lang.String name)`
`protected void` | `processLdapDef(org.w3c.dom.Element ldap)` Process a single ldap definition node
`protected void` | `processQueryDef(org.w3c.dom.Element querydef)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### creators

    protected java.util.Hashtable creators

### query_props

    protected java.util.Hashtable query_props

### default_query_props

    protected java.util.Properties default_query_props

### master_default_query_props

    protected static java.util.Properties master_default_query_props

Constructor Detail

### LdapDefs

    public LdapDefs(org.w3c.dom.Document document)
             throws java.lang.Exception

Method Detail

### processLdapDef

    protected void processLdapDef(org.w3c.dom.Element ldap)
                           throws java.lang.Exception

  Process a single ldap definition node

### processQueryDef

    protected void processQueryDef(org.w3c.dom.Element querydef)

### getLdapContext

    public javax.naming.ldap.LdapContext getLdapContext(java.lang.String name)
                                                 throws java.lang.Exception

### getQueryProperties

    public java.util.Properties getQueryProperties(java.lang.String name)
                                            throws java.lang.Exception

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.